Unusual Whales UnusualWhales API

Futures Trades (Time & Sales)

GET https://api.unusualwhales.com/api/futures/{contract}/trades

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

contract string required

Dated CME contract symbol, e.g. ESU6.

Query Parameters

limit integer optional

Max rows (default 100, max 500).

older_than string optional

Cursor: return trades executed before this ISO8601 timestamp.

newer_than string optional

Cursor: return trades executed after this ISO8601 timestamp.

skip_blocks boolean optional

Set to true to exclude CME block trades and return only regular prints.

blocks_only boolean optional

Set to true to return only CME block trades.

min_notional number optional

Minimum notional (price x size x multiplier). Needs secdef economics.

Responses

200 422 500

Response Body 200 OK

action string

Block trades only.

clr_sym string

Block trades only. CME clearing symbol.

crossed boolean

NBBO bid above ask. Regular prints only.

executed_at string
is_block boolean

True for CME block trades, false for regular prints.

is_spread boolean

Calendar or inter-commodity spread.

legs array[object]

Block trades only. Legs of a multi-leg (MLEG) strategy.

nbbo_ask string

Regular prints only.

nbbo_bid string

Regular prints only.

price string
qty string

Block trades only.

reported_at string

Block trades only.

sec_type string

Block trades only. FUT, OPT, MLEG, etc.

side string

Regular prints only.

size integer

Regular prints only.

strategy_link_id integer

Block trades only.

trade_id integer
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/futures/{contract}/trades" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "action": "string",
      "clr_sym": "string",
      "crossed": true,
      "executed_at": "string",
      "is_block": true
    }
  ]
}